=== debian/changelog ===
yocto-reader (0.9.4) unstable; urgency=medium

  * Removed link to proprietary Google javascript and added source
    installation. (closes: #507579)

 -- Bradley M. Kuhn <bkuhn@ebb.org>  Sat, 20 Dec 2008 15:15:31 -0500

yocto-reader (0.9.3) unstable; urgency=low

  * Answering RFP. (closes: #485450)

 -- Loic Dachary (OuoU) <loic@debian.org>  Sat, 21 Jun 2008 18:06:43 -0400

yocto-reader (0.9.2) unstable; urgency=low

  * keyboard shortcuts implementation
  * backend stub files

 -- Loic Dachary (OuoU) <loic@debian.org>  Sat, 29 Dec 2007 11:09:59 +0000

yocto-reader (0.9.1) unstable; urgency=low

  * Made jscoverage optional.
  * Splitted apache configuration to two files and install them by
    default to apache2 config.

 -- Ola Lundqvist <ola@opalsys.net>  Wed, 19 Dec 2007 07:41:17 +0100
