## yocto-reader 0.9.4+nmu1

=== Makefile ===
--- 
+++ 
@@ -17,8 +17,8 @@
 #  <http://www.gnu.org/licenses/>.
 
 
-DIST_FILES = ./ChangeLog ./LICENSE.txt ./Makefile ./README.txt ./apache-alias.conf \
-	./apache.conf ./backend/resttest.php ./debian/README.Debian ./debian/changelog \
+DIST_FILES = ./ChangeLog ./LICENSE.txt ./Makefile ./README.txt \
+	./backend/resttest.php ./debian/README.Debian ./debian/changelog \
 	./debian/compat ./debian/control ./debian/copyright ./debian/examples \
 	./debian/rules ./feedread.html ./keycuts.html ./permalinks.html \
 	./reader/cache.js ./reader/common.js ./reader/feed.js ./reader/feeddata.js \
@@ -68,7 +68,7 @@
 	./themes/default/settings.zip ./themes/default/theme-merged.css \
 	./themes/default/theme-saved.css ./themes/default/theme.css \
 	./themes/default/trends-label-corner.gif ./tools/runuitests \
-	./uitest.html
+	./uitest.html ./yocto-reader.conf
 
 all:
 
@@ -88,10 +88,10 @@
 		$(DESTDIR)/etc/yocto-reader
 	ln -s /etc/yocto-reader/mockapi.js \
 		$(DESTDIR)/usr/share/yocto-reader/reader/mockapi.js
-	(VERSION=`/usr/bin/head -1 debian/changelog | /usr/bin/perl -pe 's/^\s*yocto-reader\s+\(([\d\.]+)\)\s+.*$$/$$1/'`; /bin/cp yocto-reader-$$VERSION.tar.gz $(DESTDIR)/usr/share/yocto-reader; cd $(DESTDIR)/usr/share/yocto-reader; /bin/ln -s yocto-reader-$$VERSION.tar.gz yocto-reader.tar.gz)
+	(VERSION=`dpkg-parsechangelog -S version`; /bin/cp yocto-reader-$$VERSION.tar.gz $(DESTDIR)/usr/share/yocto-reader; cd $(DESTDIR)/usr/share/yocto-reader; /bin/ln -s yocto-reader-$$VERSION.tar.gz yocto-reader.tar.gz)
 
 dist:
-	@(VERSION=`/usr/bin/head -1 debian/changelog | /usr/bin/perl -pe 's/^\s*yocto-reader\s+\(([\d\.]+)\)\s+.*$$/$$1/'`; \
+	@(VERSION=`dpkg-parsechangelog -S version`; \
 	/bin/rm -rf yocto-reader-$$VERSION; \
 	mkdir yocto-reader-$$VERSION; \
 	/bin/echo $(DIST_FILES) | /usr/bin/perl -ne 'foreach $$f (split(/\s+/)) { print "$$f\n";}' | /bin/cpio -padum yocto-reader-$$VERSION; \
@@ -100,4 +100,4 @@
 
 clean:
 	rm -Rf tests.coverage
-	(VERSION=`/usr/bin/head -1 debian/changelog | /usr/bin/perl -pe 's/^\s*yocto-reader\s+\(([\d\.]+)\)\s+.*$$/$$1/'`; /bin/rm -rf yocto-reader-$$VERSION yocto-reader-$$VERSION.tar.gz)
+	(VERSION=`dpkg-parsechangelog -S version`; /bin/rm -rf yocto-reader-$$VERSION yocto-reader-$$VERSION.tar.gz)
