=== debian/changelog ===
yocto-reader (0.9.4+nmu1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix FTBFS with nmu versions: (closes: #518856)
    - Makefile: Use dpkg-parsechangelog to get current version.
    - Add Build-Depends on dpkg >= 1.17.
  * Apache2.4 transition: (closes: #669777)
    - Merge apache.conf and apache-alias.conf in a single yocto-reader.conf,
      upgrade it to new apache Require style, update DIST_FILES in Makefile.
    - d/rules: Add dh_apache2, no longer copying files to /etc/apache2/conf.d/
    - d/control: Add ${misc:Recommends}, Build-depends on dh-apache2.
    - d/maintscript: rm_conffile /etc/apache2/conf.d/yocto-reader*.
    - New d/apache2: Handle configuration.
    - d/examples: Use the new configuration name.

 -- Jean-Michel Nirgal Vourgère <jmv_deb@nirgal.com>  Thu, 26 Mar 2015 21:08:06 +0100
