=== debian/control ===
Source: yocto-reader
Section: web
Priority: extra
Maintainer: Loic Dachary (OuoU) <loic@debian.org>
Build-Depends: dpkg (>= 1.17), debhelper (>= 5), coreutils, perl-base, cpio, tar, dh-apache2
Standards-Version: 3.7.2

Package: yocto-reader
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ${misc:Recommends}
Description: web based RSS reader
 Yocto-reader is a prototype of a web based RSS reader written in
 Javascript. In this release the GUI front end is fully functional but
 does not have a backend available yet.
