=== debian/rules ===
--- 
+++ 
@@ -55,9 +55,6 @@
 
 	# Add here commands to install the package into debian/yocto-reader.
 	$(MAKE) DESTDIR=$(CURDIR)/debian/yocto-reader install
-	mkdir -p $(CURDIR)/debian/yocto-reader/etc/apache2/conf.d
-	cp apache.conf $(CURDIR)/debian/yocto-reader/etc/apache2/conf.d/yocto-reader.conf
-	cp apache-alias.conf $(CURDIR)/debian/yocto-reader/etc/apache2/conf.d/yocto-reader-alias.conf
 
 
 # Build architecture-independent files here.
@@ -83,6 +80,7 @@
 #	dh_installcron
 #	dh_installinfo
 	dh_installman
+	dh_apache2
 	dh_link
 	dh_strip
 	dh_compress
